import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')

from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading GodexSensorTypeToGeneric Converter")

class GodexSensorTypeToGeneric(Converter):

    def Execute(self, args):
        res = ""
        if args[0] == "Auto":
            res = "None"
        elif args[0] == "See-Through":
            res = "Gap"
        elif args[0] == "Reflective":
            res = "Mark"
        return res




plugin = GodexSensorTypeToGeneric("GodexSensorTypeToGeneric")

store.AddConverter(plugin)